@use '@angular/material' as mat;
@import "../override/material-override";
@import "../override/dark-mode-override";
@import "../override/light-mode-override";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$light-primary-text: white;
$dark-primary-text: rgba(black, 0.87);
$olos-red-chart: #ff3333;
$olos-black-chart: #242424;
$olos-white-chart: #e7e7e7;

$olos-red: (
    50: #ffebee,
    100: #ffcdd2,
    200: #ef9a9a,
    300: $olos-red-chart, //#e57373,
    400: #ef5350,
    500: #f44336,
    600: #e53935,
    700: #805B5B,
    800: #c62828,
    900: #7C0000,
    1000: #580000,
    A100: #ff8a80,
    A200: #ff5252,
    A400: #ff1744,
    A700: #d50000,
    contrast: (
        50: $dark-primary-text,
        100: $dark-primary-text,
        200: $dark-primary-text,
        300: $dark-primary-text,
        400: $dark-primary-text,
        500: $light-primary-text,
        600: $light-primary-text,
        700: $light-primary-text,
        800: $light-primary-text,
        900: $light-primary-text,
        1000: $light-primary-text,
        A100: $dark-primary-text,
        A200: $light-primary-text,
        A400: $light-primary-text,
        A700: $light-primary-text,
    )
);

$primary: mat.m2-define-palette($olos-red, 900);
$accent: mat.m2-define-palette($olos-red, 800, 200, 700);
$warn: mat.m2-define-palette(mat.$m2-red-palette);

$olos-theme: mat.m2-define-light-theme(
        $primary,
        $accent,
        $warn
);

$olos-dark-theme: mat.m2-define-dark-theme(
        $primary,
        $accent,
        $warn
);

@include isInTheme($theme-name-olos, true) {
  --primary-color: #{map-get($olos-red, 900)};
  --primary-color-lighter: #{map-get($olos-red, 700)};
  --text-color-in-primary: #ffffff;

  @include mat.all-component-themes($olos-theme);

  &:not([dark-mode='true']) {
    @include dlcm-material-override;
    @include dlcm-light-mode-override;
  }

  &[dark-mode='true'] {
    @include mat.all-component-colors($olos-dark-theme);
    @include dlcm-material-override;
    @include dlcm-dark-mode-override;
  }
}
